Summary:       Multichannel Digital Audio Workstation
Name:          ardour
Version:       0.99.3
Release:       8%{?dist}
Source:        http://ardour.org/files/releases/ardour-0.99.3.tar.bz2
Source1:       ardour.png
Source2:       ardour.desktop
Patch0:        ardour-0.9beta11.2-cerrno.patch
Patch1:        ardour-lib64-ladspa.patch
Patch2:        ardour-session.cc-no_stomp.patch
Patch3:        ardour-session.cc-_total_free_4k_blocks.patch
Patch4:        ardour-no-sse.patch
URL:           http://ardour.org
License:       GPL
Group:         Applications/Multimedia

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: scons, pkgconfig
BuildRequires: automake, autoconf, libtool
BuildRequires: gtk+-devel, libart_lgpl-devel
BuildRequires: alsa-lib-devel, jack-audio-connection-kit-devel
BuildRequires: gettext >= 0.11.5
BuildRequires: libsndfile-devel >= 1.0.0
BuildRequires: libsamplerate-devel >= 0.0.13
BuildRequires: liblrdf-devel >= 0.3.1
BuildRequires: libxml2-devel >= 2.5.0

BuildRequires:    desktop-file-utils
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
Ardour is a multichannel hard disk recorder (HDR) and digital audio
workstation (DAW). It is capable of simultaneous recording 24 or more
channels of 32 bit audio at 48kHz. Ardour is intended to function as a
"professional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR, the Tascam 2424 and more traditional tape systems
like the Alesis ADAT series. It is also intended to provide the same
or better functionality as software systems such as ProTools,
Samplitude, Logic Audio, Nuendo and Cubase VST (we acknowledge these
and all other names as trademarks of their respective owners). It
supports MIDI Machine Control, and so can be controlled from any MMC
controller, such as the Mackie Digital 8 Bus mixer and many other
modern digital mixers.

%prep
%setup -q -n ardour-%{version}
%patch0 -p1

# Conditionally apply patch to read ladspa plugins from lib64 dir.
%ifarch x86_64
%patch1 -p0
%endif

%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
scons %{?_smp_mflags} PREFIX=%{_prefix} \
      ARCH="$RPM_OPT_FLAGS" \
      USE_SSE_EVERYWHERE=0 \
      BUILD_SSE_OPTIMIZATIONS=1 \
      KSI=no

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
scons  %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT NOARCH="1" ARCH="$RPM_OPT_FLAGS" install

# install the templates
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/templates
cp templates/*.template $RPM_BUILD_ROOT%{_datadir}/%{name}/templates
chmod 644 $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/*

# install the icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# install the desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora              \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category X-Fedora                         \
  --add-category AudioVideo                       \
  --add-category Application                      \
  %{SOURCE2}

%find_lang gtk_ardour
cat gtk_ardour.lang > ardour.lang
%find_lang libardour
cat libardour.lang >> ardour.lang
%find_lang libgtkmmext
cat libgtkmmext.lang >> ardour.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ardour.lang
%defattr(-,root,root)
%doc COPYING DOCUMENTATION
%{_bindir}/ardour
%{_datadir}/ardour/
%dir %{_sysconfdir}/ardour/
%config(noreplace) %{_sysconfdir}/ardour/ardour.rc
%config(noreplace) %{_sysconfdir}/ardour/ardour_system.rc
%config(noreplace) %{_sysconfdir}/ardour/ardour_ui.rc
%{_datadir}/pixmaps/ardour.png
%{_datadir}/applications/*ardour.desktop

%changelog
* Sat Jan 06 2007 Anthony Green <green@redhat.com> 0.99.3-8
- Enable optimization (oops).
- Add ardour-no-sse.patch to disable use of build-system dependent 
  hardware features (SSE, MMX, etc).

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.99.3-7
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 0.99.3-6
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> 0.99.3-5.1
- Rebuild.

* Sat Sep  8 2006 Anthony Green <green@redhat.com> 0.99.3-5
- Install the templates.

* Sat Sep  2 2006 Anthony Green <green@redhat.com> 0.99.3-4
- Move .desktop file out of spec file to source dir.
- Add a couple of upstream patches (2 and 3)

* Sun Aug 13 2006 Anthony Green <green@redhat.com> 0.99.3-3
- Remove PlanetCCRMA changelogs (rpmlint was complaining)
- Escape macros in changelog.
- Remove useless rm in %%build section.
- Don't install useless README file.
- Clean up BuildRequires and %%files sections.

* Sat May 13 2006 Anthony Green <green@redhat.com> 0.99.3-2
- Conditionally apply ardour-lib64-ladspa.patch.

* Sat May 13 2006 Anthony Green <green@redhat.com> 0.99.3-1
- Update sources to 0.99.3.
- Add linudoc-tools dependency.
- Set USE_SSE_EVERYWHERE and BUILD_SSE_OPTIMIZATIONS at build time.
- Replace some macro command usage.

* Sat Apr 22 2006 Anthony Green <green@redhat.com> 0.99.2-3
- Use %%find_lang.

* Thu Apr 20 2006 Anthony Green <green@redhat.com> 0.99.2-2
- Fix ardour URL.  Add scons smp build flags.
- Own %%{_sysconfdir}/ardour.
- Standardize on $RPM_BUILD_ROOT usage.
- Remove gcc BuildRequires.

* Tue Apr 18 2006 Anthony Green <green@redhat.com> 0.99.2-1
- Update sources. Build for Fedora Extras. Derived from Fernando
  Lopez-Lezcano's PlanetCCRMA package.
